## grisbi 0.6.0

=== win32-msvc/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

PROJECT (Grisbi C)

SET(EXECUTABLE_OUTPUT_PATH target/$(PlatformName))
SET(LIBRARY_OUTPUT_PATH target/$(PlatformName)/$(OutDir)/plugins)
SET(PACKAGE_NAME grisbi)

ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
ADD_DEFINITIONS(-D__PRETTY_FUNCTION__="")
ADD_DEFINITIONS(-D_WIN32)

# Define to 1 if translation of program messages to the user's native language is requested.
ADD_DEFINITIONS(-DENABLE_NLS=1)

# Define if you have the iconv() function.
ADD_DEFINITIONS(-DHAVE_ICONV=1)

# Define if you have <langinfo.h> and nl_langinfo(CODESET).
ADD_DEFINITIONS(-DHAVE_LANGINFO_CODESET=1)

# Define if your <locale.h> file defines LC_MESSAGES.
ADD_DEFINITIONS(-DHAVE_LC_MESSAGES=1)

# Define to 1 if you have the `intl' library (-lintl).
ADD_DEFINITIONS(-DHAVE_LIBINTL=1)

# Define to 1 if you have the <limits.h> header file.
ADD_DEFINITIONS(-DHAVE_LIMITS_H=1)

# Define to 1 if you have the <locale.h> header file.
ADD_DEFINITIONS(-DHAVE_LOCALE_H=1)

# Define to 1 if you have the <malloc.h> header file.
ADD_DEFINITIONS(-DHAVE_MALLOC_H=1)

# Define to 1 if you have the <memory.h> header file.
ADD_DEFINITIONS(-DHAVE_MEMORY_H=1)

# Define to 1 if you have the `mempcpy' function.
ADD_DEFINITIONS(-DHAVE_MEMPCPY=1)

# Define to 1 to have grisbi plugins management system activated
ADD_DEFINITIONS(-DHAVE_PLUGINS=1)

# Define to 1 if you have the `setlocale' function.
ADD_DEFINITIONS(-DHAVE_SETLOCALE=1)

# Define to 1 if you have the <string.h> header file.
ADD_DEFINITIONS(-DHAVE_STRING_H=1)

# Define to 1 to have OFX support disabled
#ADD_DEFINITIONS(-DNOOFX=1)
# Define to 1 if you want to have OFX support using libofx 0.7.0
ADD_DEFINITIONS(-DOFX_0_7=1)

# Define to 1 when you do not want to use SSL as crypt algorithm (NOT RECOMMANDED)
#ADD_DEFINITIONS(-DNOSSL=1)

INCLUDE_DIRECTORIES(
	target/gtk-dev/include/atk-1.0
	target/gtk-dev/include/cairo
	target/gtk-dev/include/glib-2.0
	target/gtk-dev/include/gtk-2.0
	target/gtk-dev/include/pango-1.0
	target/gtk-dev/include
	target/gtk-dev/lib/glib-2.0/include
	target/gtk-dev/lib/gtk-2.0/include
	target/plugins-dev/libofx/include
	target/plugins-dev/libxml/include
	target/plugins-dev/openssl/include
	../win32-msvc/src
	../win32-msvc
	../win32
	../src
	../src/plugins/gnucash
	../src/plugins/ofx
	../src/plugins/openssl
)

LINK_DIRECTORIES(
	target/gtk-dev/lib
	target/plugins-dev/libofx/lib
	target/plugins-dev/libxml/lib
	target/plugins-dev/openssl/lib
	target/plugins-dev/openssl/lib/VC
	target/$(PlatformName)/$(OutDir)
)

LINK_LIBRARIES(
	grisbi
	cairo
	gdk_pixbuf-2.0
	gdk-win32-2.0
	gio-2.0
	glib-2.0
	gmodule-2.0
	gobject-2.0
	gtk-win32-2.0
	intl
	pango-1.0
	pangocairo-1.0
	zdll
	libofx
	libxml2
	libeay32
	ssleay32
)

SET (grisbi_source
	../src/accueil.c
	../src/accueil.h
	../src/affichage.c
	../src/affichage.h
	../src/affichage_liste.c
	../src/affichage_liste.h
	../src/balance_estimate_tab.c
	../src/balance_estimate_tab.h
	../src/barre_outils.c
	../src/barre_outils.h
	../src/categories_onglet.c
	../src/categories_onglet.h
	../src/classement_echeances.c
	../src/classement_echeances.h
	../src/csv_parse.c
	../src/csv_parse.h
	../src/custom_list.c
	../src/custom_list.h
	../src/dialog.c
	../src/dialog.h
	../src/erreur.c
	../src/erreur.h
	../src/etats.h
	../src/etats_affiche.c
	../src/etats_affiche.h
	../src/etats_calculs.c
	../src/etats_calculs.h
	../src/etats_config.c
	../src/etats_config.h
	../src/etats_csv.c
	../src/etats_csv.h
	../src/etats_gtktable.c
	../src/etats_gtktable.h
	../src/etats_html.c
	../src/etats_html.h
	../src/etats_latex.c
	../src/etats_latex.h
	../src/etats_onglet.c
	../src/etats_onglet.h
	../src/etats_support.c
	../src/etats_support.h
	../src/export.c
	../src/export.h
	../src/export_csv.c
	../src/export_csv.h
	../src/fenetre_principale.c
	../src/fenetre_principale.h
	../src/file_obfuscate.c
	../src/file_obfuscate.h
	../src/file_obfuscate_qif.c
	../src/file_obfuscate_qif.h
	../src/go-charmap-sel.c
	../src/go-charmap-sel.h
	../src/go-optionmenu.c
	../src/go-optionmenu.h
	../src/gsb_account.c
	../src/gsb_account.h
	../src/gsb_account_property.c
	../src/gsb_account_property.h
	../src/gsb_archive_config.c
	../src/gsb_archive_config.h
	../src/gsb_assistant.c
	../src/gsb_assistant.h
	../src/gsb_assistant_account.c
	../src/gsb_assistant_account.h
	../src/gsb_assistant_archive.c
	../src/gsb_assistant_archive.h
	../src/gsb_assistant_archive_export.c
	../src/gsb_assistant_archive_export.h
	../src/gsb_assistant_file.c
	../src/gsb_assistant_file.h
	../src/gsb_assistant_first.c
	../src/gsb_assistant_first.h
	../src/gsb_assistant_reconcile_config.c
	../src/gsb_assistant_reconcile_config.h
	../src/gsb_autofunc.c
	../src/gsb_autofunc.h
	../src/gsb_automem.c
	../src/gsb_automem.h
	../src/gsb_bank.c
	../src/gsb_bank.h
	../src/gsb_calendar.c
	../src/gsb_calendar.h
	../src/gsb_calendar_entry.c
	../src/gsb_calendar_entry.h
	../src/gsb_category.c
	../src/gsb_category.h
	../src/gsb_combo_box.c
	../src/gsb_combo_box.h
	../src/gsb_currency.c
	../src/gsb_currency.h
	../src/gsb_currency_config.c
	../src/gsb_currency_config.h
	../src/gsb_currency_link_config.c
	../src/gsb_currency_link_config.h
	../src/gsb_data_account.c
	../src/gsb_data_account.h
	../src/gsb_data_archive.c
	../src/gsb_data_archive.h
	../src/gsb_data_archive_store.c
	../src/gsb_data_archive_store.h
	../src/gsb_data_bank.c
	../src/gsb_data_bank.h
	../src/gsb_data_budget.c
	../src/gsb_data_budget.h
	../src/gsb_data_category.c
	../src/gsb_data_category.h
	../src/gsb_data_currency.c
	../src/gsb_data_currency.h
	../src/gsb_data_currency_link.c
	../src/gsb_data_currency_link.h
	../src/gsb_data_form.c
	../src/gsb_data_form.h
	../src/gsb_data_fyear.c
	../src/gsb_data_fyear.h
	../src/gsb_data_import_rule.c
	../src/gsb_data_import_rule.h
	../src/gsb_data_mix.c
	../src/gsb_data_mix.h
	../src/gsb_data_partial_balance.c
	../src/gsb_data_partial_balance.h
	../src/gsb_data_payee.c
	../src/gsb_data_payee.h
	../src/gsb_data_payment.c
	../src/gsb_data_payment.h
	../src/gsb_data_print_config.c
	../src/gsb_data_print_config.h
	../src/gsb_data_reconcile.c
	../src/gsb_data_reconcile.h
	../src/gsb_data_report.c
	../src/gsb_data_report.h
	../src/gsb_data_report_amout_comparison.c
	../src/gsb_data_report_amout_comparison.h
	../src/gsb_data_report_text_comparison.c
	../src/gsb_data_report_text_comparison.h
	../src/gsb_data_scheduled.c
	../src/gsb_data_scheduled.h
	../src/gsb_data_transaction.c
	../src/gsb_data_transaction.h
	../src/gsb_debug.c
	../src/gsb_debug.h
	../src/gsb_file.c
	../src/gsb_file.h
	../src/gsb_file_config.c
	../src/gsb_file_config.h
	../src/gsb_file_load.c
	../src/gsb_file_load.h
	../src/gsb_file_others.c
	../src/gsb_file_others.h
	../src/gsb_file_save.c
	../src/gsb_file_save.h
	../src/gsb_file_util.c
	../src/gsb_file_util.h
	../src/gsb_form.c
	../src/gsb_form.h
	../src/gsb_form_config.c
	../src/gsb_form_config.h
	../src/gsb_form_scheduler.c
	../src/gsb_form_scheduler.h
	../src/gsb_form_transaction.c
	../src/gsb_form_transaction.h
	../src/gsb_form_widget.c
	../src/gsb_form_widget.h
	../src/gsb_fyear.c
	../src/gsb_fyear.h
	../src/gsb_fyear_config.c
	../src/gsb_fyear_config.h
	../src/gsb_payment_method.c
	../src/gsb_payment_method.h
	../src/gsb_payment_method_config.c
	../src/gsb_payment_method_config.h
	../src/gsb_plugins.c
	../src/gsb_plugins.h
	../src/gsb_real.c
	../src/gsb_real.h
	../src/gsb_reconcile.c
	../src/gsb_reconcile.h
	../src/gsb_reconcile_config.c
	../src/gsb_reconcile_config.h
	../src/gsb_reconcile_list.c
	../src/gsb_reconcile_list.h
	../src/gsb_reconcile_sort_config.c
	../src/gsb_reconcile_sort_config.h
	../src/gsb_report.c
	../src/gsb_report.h
	../src/gsb_scheduler.c
	../src/gsb_scheduler.h
	../src/gsb_scheduler_list.c
	../src/gsb_scheduler_list.h
	../src/gsb_select_icon.c
	../src/gsb_select_icon.h
	../src/gsb_status.c
	../src/gsb_status.h
	../src/gsb_transactions_list.c
	../src/gsb_transactions_list.h
	../src/gsb_transactions_list_sort.c
	../src/gsb_transactions_list_sort.h
	../src/gtk_combofix.c
	../src/gtk_combofix.h
	../src/help.c
	../src/help.h
	../src/import.c
	../src/import.h
	../src/import_csv.c
	../src/import_csv.h
	../src/imputation_budgetaire.c
	../src/imputation_budgetaire.h
	../src/include.h
	../src/main.c
	../src/main.h
	../src/main_cunit.c
	../src/main_cunit.h
	../src/menu.c
	../src/menu.h
	../src/meta_budgetary.c
	../src/meta_budgetary.h
	../src/meta_categories.c
	../src/meta_categories.h
	../src/meta_payee.c
	../src/meta_payee.h
	../src/metatree.c
	../src/metatree.h
	../src/navigation.c
	../src/navigation.h
	../src/parametres.c
	../src/parametres.h
	../src/parse_cmdline.c
	../src/parse_cmdline.h
	../src/print_config.c
	../src/print_config.h
	../src/print_dialog_config.c
	../src/print_dialog_config.h
	../src/print_report.c
	../src/print_report.h
	../src/print_transactions_list.c
	../src/print_transactions_list.h
	../src/qif.c
	../src/qif.h
	../src/tiers_onglet.c
	../src/tiers_onglet.h
	../src/tip.c
	../src/tip.h
	../src/traitement_variables.c
	../src/traitement_variables.h
	../src/transaction_list.c
	../src/transaction_list.h
	../src/transaction_list_select.c
	../src/transaction_list_select.h
	../src/transaction_list_sort.c
	../src/transaction_list_sort.h
	../src/transaction_model.c
	../src/transaction_model.h
	../src/utils.c
	../src/utils.h
	../src/utils_buttons.c
	../src/utils_buttons.h
	../src/utils_dates.c
	../src/utils_dates.h
	../src/utils_editables.c
	../src/utils_editables.h
	../src/utils_files.c
	../src/utils_files.h
	../src/utils_file_selection.c
	../src/utils_file_selection.h
	../src/utils_font.c
	../src/utils_font.h
	../src/utils_operations.c
	../src/utils_operations.h
	../src/utils_str.c
	../src/utils_str.h
	../win32-msvc/src/getopt.c
	../win32-msvc/src/getopt.h
	../win32-msvc/src/getopt1.c
	../win32-msvc/src/realpath.c
	../win32-msvc/src/realpath.h
	../win32-msvc/src/resource.h
	../win32-msvc/src/grisbi.rc
	../win32-msvc/config.h
	../win32/win32gtkutils.c
	../win32/win32gtkutils.h
	../win32/win32utils.c
	../win32/win32utils.h
	../win32/grisbi.ico
)

ADD_EXECUTABLE(grisbi
	WIN32
	${grisbi_source}
)

ADD_DEPENDENCIES (grisbi prepare_env)

ADD_LIBRARY ( ofx
	MODULE
	../src/plugins/ofx/ofx.c
	../src/plugins/ofx/ofx.h
)

ADD_CUSTOM_COMMAND ( TARGET ofx
	POST_BUILD
	COMMAND xcopy /D /Y $(TargetDir)ofx.dll target\\$(PlatformName)\\$(OutDir)\\plugins
	COMMAND XCOPY /D /Y target\\plugins-dev\\libofx\\bin\\* target\\$(PlatformName)\\$(OutDir)
)

ADD_LIBRARY ( gnucash
	MODULE
	../src/plugins/gnucash/gnucash.c
	../src/plugins/gnucash/gnucash.h
)

ADD_CUSTOM_COMMAND ( TARGET gnucash
	POST_BUILD
	COMMAND xcopy /D /Y $(TargetDir)gnucash.dll target\\$(PlatformName)\\$(OutDir)\\plugins
)

ADD_LIBRARY ( openssl
	MODULE
	../src/plugins/openssl/openssl.c
	../src/plugins/openssl/openssl.h
)

ADD_CUSTOM_COMMAND ( TARGET openssl
	POST_BUILD
	COMMAND xcopy /D /Y $(TargetDir)openssl.dll target\\$(PlatformName)\\$(ConfigurationName)\\plugins
)


ADD_DEPENDENCIES (ofx grisbi)
ADD_DEPENDENCIES (gnucash grisbi)
ADD_DEPENDENCIES (openssl grisbi)

ADD_CUSTOM_TARGET (prepare_env)

ADD_CUSTOM_COMMAND(TARGET prepare_env
	POST_BUILD
	COMMAND IF NOT EXIST target\\$(PlatformName)\\$(ConfigurationName) mkdir target\\$(PlatformName)\\$(ConfigurationName)
)
	

# ADD_CUSTOM_COMMAND(TARGET prepare_env
	# POST_BUILD
	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Debug
	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Release
# )

# ADD_CUSTOM_COMMAND(TARGET prepare_env
	# POST_BUILD
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Debug\\etc\\
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Release\\etc\\
# )

# ADD_CUSTOM_COMMAND(TARGET prepare_env
	# POST_BUILD
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Debug\\lib\\gtk-2.0\\2.10.0\\
	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Release\\lib\\gtk-2.0\\2.10.0\\
# )

ADD_CUSTOM_COMMAND(TARGET prepare_env
	POST_BUILD
	COMMAND xcopy /S /Y /D ..\\pixmaps\\*.png target\\$(PlatformName)\\$(ConfigurationName)\\pixmaps\\

=== debian/changelog ===
grisbi (0.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #549452, #551794)
  * Switch source package format to 3.0 (quilt)
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Wed, 05 May 2010 21:11:05 +0200

grisbi (0.6.0~rc2-1) experimental; urgency=low

  * New upstream release candidate
  * Bump Standards-Version to 3.8.4 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Feb 2010 14:38:20 +0100

grisbi (0.6.0~rc1-1) experimental; urgency=low

  * New upstream release candidate

 -- Stéphane Glondu <glondu@debian.org>  Sat, 09 Jan 2010 17:40:30 +0100

grisbi (0.6.0~pre+beta3+1-1) experimental; urgency=low

  * New upstream beta release
  * Install NEWS file as upstream changelog

 -- Stéphane Glondu <glondu@debian.org>  Sun, 15 Nov 2009 13:42:24 +0100

grisbi (0.6.0~pre+beta1-1) experimental; urgency=low

  * New upstream beta release:
    - remove Use-x-www-browser-by-default-instead-of-mozilla.patch
    - add dependency to xdg-utils
    - add build-dependency to chrpath

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Sep 2009 13:12:14 +0200

grisbi (0.6.0~cvs20090901-2) experimental; urgency=low

  * New upstream CVS snapshot (Closes: #480781)
  * Update copyright file (OpenSSL is explicitly authorized in README)
  * Build and install openssl plugin
  * Update my e-mail address and remove DMUA

 -- Stéphane Glondu <glondu@debian.org>  Wed, 02 Sep 2009 19:23:38 +0200

grisbi (0.6.0~cvs20090823-1) experimental; urgency=low

  * New upstream CVS snapshot (Closes: #298644, #378992, LP: #395927)
    - removed patch: Fix-freeze-when-using-combobox-with-keyboard
    - do not install openssl plugin, because of licensing issue;
      document it in README.Debian
  * Update Standards-Version to 3.8.3 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Sun, 23 Aug 2009 23:39:38 +0200

grisbi (0.5.9-4) unstable; urgency=low

  * Add a patch to fix freeze when using keyboard in combobox
    (LP: #399295)

 -- Stephane Glondu <steph@glondu.net>  Sun, 02 Aug 2009 22:02:40 +0200

grisbi (0.5.9-3) unstable; urgency=low

  * Fix binary-arch build

 -- Stephane Glondu <steph@glondu.net>  Wed, 08 Jul 2009 20:32:18 +0200

grisbi (0.5.9-2) unstable; urgency=low

  * Add Replaces and Conflicts to grisbi-common, which replaces files
    previously shipped by grisbi (Closes: #520723)
  * Use dh overrides in debian/rules
  * Use quilt for patches
  * Use x-www-browser by default (LP: #395925)
  * Add suggestion to www-browser
  * Update Standards-Version to 3.8.2 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Wed, 08 Jul 2009 18:12:12 +0200

grisbi (0.5.9-1) unstable; urgency=low

  [ Stephane Glondu ]
  * New maintainer (Closes: #505570)
  * Acknowledge non-maintainer uploads
  * New upstream release (Closes: #390285)
  * Add binary package grisbi-common with arch-indep files
  * debian/control:
    - add DM-Upload-Allowed header
    - add Vcs-* headers
    - fix typos in description (from Ubuntu, thanks Adrien Cunin)
    - downgrade dependency to texlive from Recommends to Suggests
  * debian/copyright: switch to machine-parsable format
  * debian/rules: switch to debhelper 7
  * Add debian/gbp.conf

  [ Roberto C. Sanchez ]
  * Update standards version to 3.8.1 (no changes)

 -- Stephane Glondu <steph@glondu.net>  Sun, 15 Mar 2009 11:38:22 +0100

grisbi (0.5.8-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced obsolete Recommends latex-ucs and tetex-extra by texlive
    (closes: #466100)
  * Don't ignore errors from make distclean, per lintian
  * Fixed spelling mistake in package description (closes: #363626)
  * Converted debian/copyright to UTF-8
  * Fixed/updated menu section
  * Removed empty directories
  * Updated to debhelper level 6
  * Updated standards version
  * Added watch file
  * Corrected categories in desktop file (closes: #410193)
  * Added support for StartupNotify in launcher (closes: #361529)
  * Added Homepage control field

 -- Peter Eisentraut <petere@debian.org>  Mon, 14 Jul 2008 17:59:03 +0200

grisbi (0.5.8-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix an implicit pointer conversion of the return value from
    file_selection_get_filename() that can lead to segfaults on some
    64-bit architectures (closes: #348821)

 -- dann frazier <dannf@debian.org>  Mon, 16 Jul 2007 12:51:26 -0600

grisbi (0.5.8-1) unstable; urgency=low

  * New upstream release (closes: #337866, #315905)
  * Change column size option default (closes: #283242)

 -- Benjamin Drieu <benj@debian.org>  Wed, 18 Jan 2006 11:18:57 +0000

grisbi (0.5.7-4) unstable; urgency=low

  * Build against libofx2 (close: #325099)

 -- Benjamin Drieu <benj@debian.org>  Thu,  1 Sep 2005 13:46:10 +0200

grisbi (0.5.7-3) unstable; urgency=low

  * Build against libofx0.8 (closes: #324955)

 -- Benjamin Drieu <bdrieu@april.org>  Thu, 25 Aug 2005 16:56:39 +0200

grisbi (0.5.7-2) unstable; urgency=low

  * Dependency on libofx1c2, C++ transition is over for Grisbi (closes:
    #322908)
  * Register properly with Gnome MIME
  * Fix menu issues (closes: #320436)
  * Update German translation (closes: #313755)

 -- Benjamin Drieu <bdrieu@april.org>  Sat, 13 Aug 2005 15:55:43 +0200

grisbi (0.5.7-1) unstable; urgency=low

  * New upstream release (closes: #30966).
    + Added support for Ukraine Hryvnia (closes: #301596)
    + Bug fixes (closes: #297538, #300415, #296067, #303696, #289964)

 -- Benjamin Drieu <bdrieu@april.org>  Thu,  9 Jun 2005 12:51:19 +0200

grisbi (0.5.5-2) unstable; urgency=low

  * Fix a FTBFS on mipsel (closes: #298234)

 -- Benjamin Drieu <benj@debian.org>  Thu, 10 Mar 2005 14:21:58 +0100

grisbi (0.5.5-1) unstable; urgency=low

  * New upstream release

 -- Benjamin Drieu <benj@debian.org>  Sat,  8 Jan 2005 16:12:37 +0000

grisbi (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Benjamin Drieu <benj@debian.org>  Fri, 24 Dec 2004 11:58:37 +0100

grisbi (0.5.3-1) unstable; urgency=low

  * New upstream version



=== debian/control ===
Source: grisbi
Section: x11
Priority: optional
Maintainer: Stéphane Glondu <glondu@debian.org>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends:
 debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libxml2-dev,
 libofx-dev,
 libssl-dev,
 autotools-dev,
 chrpath
Standards-Version: 3.8.4
Homepage: http://www.grisbi.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/grisbi.git
Vcs-Git: git://git.debian.org/git/collab-maint/grisbi.git

Package: grisbi
Architecture: any
Depends:
 grisbi-common (= ${source:Version}),
 xdg-utils,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: texlive, www-browser
Description: personal finance management program
 Grisbi is a personal accounting program. Grisbi can manage multiple
 accounts, currencies and users. It manages third party, expenditure
 and receipt categories, as well as budgetary lines, financial years,
 and other information that make it adapted for both personal
 and associative accounting.
 .
 Grisbi can import accounts from QIF, OFX and Gnucash files. It can
 print reports using LaTeX or export them via HTML.

Package: grisbi-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: grisbi (<< 0.5.9-5)
Replaces: grisbi (<< 0.5.9-5)
Description: shared files for the finance management program Grisbi
 Grisbi is a personal accounting program. Grisbi can manage multiple
 accounts, currencies and users. It manages third party, expenditure
 and receipt categories, as well as budgetary lines, financial years,
 and other information that make it adapted for both personal
 and associative accounting.
 .
 This package contains architecture-independent files (icons,
 documentation and translations).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHARED_CONFIG := /usr/share/misc/config

%:
	dh $@

.PHONY: override_dh_auto_configure
override_dh_auto_configure: config-stamp
	dh_auto_configure -- --disable-rpath

config-stamp:
# Use most up-to-date config.{sub,guess}
	for u in sub guess; do \
	  if [ -f $(SHARED_CONFIG).$$u ]; then \
	    mv config.$$u debian && \
	    cp $(SHARED_CONFIG).$$u .; \
	  fi; \
	done
	touch $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
# Restore upstream config.{sub,guess}
	for u in sub guess; do \
	  if [ -f debian/config.$$u ]; then \
	    mv debian/config.$$u .; \
	  fi; \
	done
	rm -f config-stamp
	dh_auto_clean

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr sysconfdir=$(CURDIR)/debian/tmp/etc
# ./configure above seems to ignore --disable-rpath
	chrpath -d $(CURDIR)/debian/tmp/usr/bin/grisbi $(CURDIR)/debian/tmp/usr/lib/grisbi/*.so

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://sf.net/grisbi/grisbi-([\d.]+)\.tar\.(?:gz|bz2)

## grisbi 0.8.7

=== debian/changelog ===
grisbi (0.8.7-2) unstable; urgency=low

  * Tune and install upstream-generated grisbi.desktop (Closes: #632683)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 23 Jul 2011 18:36:27 +0200

grisbi (0.8.7-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch so that unstable series are ignored
  * Bump debhelper compat level to 8
  * Bump Standards-Version to 3.9.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 09 Jun 2011 09:20:54 +0200

grisbi (0.8.6-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 May 2011 23:36:21 +0200

grisbi (0.8.5-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 19 Apr 2011 11:45:14 +0200

grisbi (0.8.4-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Mar 2011 23:36:27 +0100

grisbi (0.8.3-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Mar 2011 18:34:26 +0100

grisbi (0.8.2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 24 Jan 2011 00:38:01 +0100

grisbi (0.7.97-1) experimental; urgency=low

  * New upstream unstable release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 22 Dec 2010 08:21:17 +0100

grisbi (0.7.95-1) experimental; urgency=low

  * New upstream unstable release
  * Reword package descriptions (LP: #155059)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 11 Dec 2010 23:17:14 +0100

grisbi (0.7.93-1) experimental; urgency=low

  * New upstream unstable release
    - remove all patches

 -- Stéphane Glondu <glondu@debian.org>  Tue, 07 Dec 2010 21:27:15 +0100

## grisbi 0.8.8

=== debian/changelog ===
grisbi (0.8.8-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 22 Sep 2011 16:14:01 +0200

## grisbi 0.8.9

=== win32-msvc/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,20 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
+if(POLICY CMP0015)
+   # policies not known to CMake 2.6 ...
+   cmake_policy(SET CMP0015 NEW)
+endif(POLICY CMP0015)
 
 PROJECT (Grisbi C)
 
-SET(EXECUTABLE_OUTPUT_PATH target/$(PlatformName))
-SET(LIBRARY_OUTPUT_PATH target/$(PlatformName)/$(OutDir)/plugins)
-SET(PACKAGE_NAME grisbi)
+# MS Visual Studio 10 Macros
+# $(Platform)      The name of current project platform (for example, "Win32").
+# $(Configuration) The name of the current project configuration (for example, "Debug").
+# $(TargetDir)     The directory of the primary output file for the build (defined as drive + path); includes the trailing backslash '\'.
+# see http://msdn.microsoft.com/en-us/library/c02as0cs%28v=VS.100%29.aspx for more macros
+
+SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY target\\$(Platform))
+SET(CMAKE_LIBRARY_OUTPUT_DIRECTORY target\\$(Platform)\\$(Configuration)\\plugins)
+SET(package_name grisbi)
 
 ADD_DEFINITIONS(-D_CRT_SECURE_NO_WARNINGS)
 ADD_DEFINITIONS(-D__PRETTY_FUNCTION__="")
@@ -58,17 +68,19 @@
 #ADD_DEFINITIONS(-DNOSSL=1)
 
 INCLUDE_DIRECTORIES(
-	target/gtk-dev/include/atk-1.0
-	target/gtk-dev/include/cairo
-	target/gtk-dev/include/glib-2.0
-	target/gtk-dev/include/gtk-2.0
-	target/gtk-dev/include/pango-1.0
-	target/gtk-dev/include
-	target/gtk-dev/lib/glib-2.0/include
-	target/gtk-dev/lib/gtk-2.0/include
-	target/plugins-dev/libofx/include
-	target/plugins-dev/libxml/include
-	target/plugins-dev/openssl/include
+	target/$(Platform)/gtk-dev/include/atk-1.0
+	target/$(Platform)/gtk-dev/include/cairo
+	target/$(Platform)/gtk-dev/include/glib-2.0
+	target/$(Platform)/gtk-dev/include/gdk-pixbuf-2.0
+	target/$(Platform)/gtk-dev/include/gtk-2.0
+	target/$(Platform)/gtk-dev/include/pango-1.0
+	target/$(Platform)/gtk-dev/include
+	target/$(Platform)/gtk-dev/lib/glib-2.0/include
+	target/$(Platform)/gtk-dev/lib/gtk-2.0/include
+	target/$(Platform)/plugins-dev/libofx/include
+	target/$(Platform)/plugins-dev/libxml2/include
+	target/$(Platform)/plugins-dev/iconv/include
+	target/$(Platform)/plugins-dev/openssl/include
 	../win32-msvc/src
 	../win32-msvc
 	../win32
@@ -79,32 +91,13 @@
 )
 
 LINK_DIRECTORIES(
-	target/gtk-dev/lib
-	target/plugins-dev/libofx/lib
-	target/plugins-dev/libxml/lib
-	target/plugins-dev/openssl/lib
-	target/plugins-dev/openssl/lib/VC
-	target/$(PlatformName)/$(OutDir)
-)
-
-LINK_LIBRARIES(
-	grisbi
-	cairo
-	gdk_pixbuf-2.0
-	gdk-win32-2.0
-	gio-2.0
-	glib-2.0
-	gmodule-2.0
-	gobject-2.0
-	gtk-win32-2.0
-	intl
-	pango-1.0
-	pangocairo-1.0
-	zdll
-	libofx
-	libxml2
-	libeay32
-	ssleay32
+	target/$(Platform)/gtk-dev/lib
+	target/$(Platform)/plugins-dev/libofx/lib
+	target/$(Platform)/plugins-dev/libxml2/lib
+	target/$(Platform)/plugins-dev/iconv/lib
+	target/$(Platform)/plugins-dev/openssl/lib
+	target/$(Platform)/plugins-dev/openssl/lib/VC
+	$(TargetDir)
 )
 
 SET (grisbi_source
@@ -114,10 +107,22 @@
 	../src/affichage.h
 	../src/affichage_liste.c
 	../src/affichage_liste.h
-	../src/balance_estimate_tab.c
-	../src/balance_estimate_tab.h
 	../src/barre_outils.c
 	../src/barre_outils.h
+	../src/bet_config.c
+	../src/bet_config.h
+	../src/bet_data.c
+	../src/bet_data.h
+	../src/bet_data_finance.c
+	../src/bet_data_finance.h
+	../src/bet_finance_ui.c
+	../src/bet_finance_ui.h
+	../src/bet_future.c
+	../src/bet_future.h
+	../src/bet_hist.c
+	../src/bet_hist.h
+	../src/bet_tab.c
+	../src/bet_tab.h
 	../src/categories_onglet.c
 	../src/categories_onglet.h
 	../src/classement_echeances.c
@@ -318,8 +323,8 @@
 	../src/include.h
 	../src/main.c
 	../src/main.h
-	../src/main_cunit.c
-	../src/main_cunit.h
+#	../src/main_cunit.c
+#	../src/main_cunit.h
 	../src/menu.c
 	../src/menu.h
 	../src/meta_budgetary.c
@@ -344,6 +349,8 @@
 	../src/print_report.h
 	../src/print_transactions_list.c
 	../src/print_transactions_list.h
+	../src/print_tree_view_list.c
+	../src/print_tree_view_list.h
 	../src/qif.c
 	../src/qif.h
 	../src/tiers_onglet.c
@@ -390,7 +397,7 @@
 	../win32/win32gtkutils.h
 	../win32/win32utils.c
 	../win32/win32utils.h
-	../win32/grisbi.ico
+	# ../win32/grisbi.ico
 )
 
 ADD_EXECUTABLE(grisbi
@@ -398,73 +405,44 @@
 	${grisbi_source}
 )
 
-ADD_DEPENDENCIES (grisbi prepare_env)
+TARGET_LINK_LIBRARIES( grisbi
+	glib-2.0
+	intl
+	cairo
+	gdk_pixbuf-2.0
+	gdk-win32-2.0
+	gio-2.0
+	gmodule-2.0
+	gobject-2.0
+	gtk-win32-2.0
+	pango-1.0
+	pangocairo-1.0
+	zdll
+)
+
+set_target_properties ( grisbi
+	PROPERTIES ENABLE_EXPORTS 1
+)
+
+ADD_DEPENDENCIES (grisbi prepare_env prepare_mo)
 
 ADD_LIBRARY ( ofx
-	MODULE
+	SHARED
 	../src/plugins/ofx/ofx.c
 	../src/plugins/ofx/ofx.h
 )
 
 ADD_CUSTOM_COMMAND ( TARGET ofx
 	POST_BUILD
-	COMMAND xcopy /D /Y $(TargetDir)ofx.dll target\\$(PlatformName)\\$(OutDir)\\plugins
-	COMMAND XCOPY /D /Y target\\plugins-dev\\libofx\\bin\\* target\\$(PlatformName)\\$(OutDir)
+#	COMMAND XCOPY /D /Y $(Configuration)\\ofx.dll target\\$(Platform)\\$(Configuration)\\plugins\\
+	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\libofx\\bin\\* target\\$(Platform)\\$(Configuration)
+	COMMAND IF NOT EXIST target\\$(Platform)\\$(Configuration)\\dtd MKDIR target\\$(Platform)\\$(Configuration)\\dtd
+	COMMAND XCOPY /D /Y target\\$(Platform)\\plugins-dev\\libofx\\bin\\dtd\\o*.d* target\\$(Platform)\\$(Configuration)\\dtd
 )
 
 ADD_LIBRARY ( gnucash
-	MODULE
+	SHARED
 	../src/plugins/gnucash/gnucash.c
 	../src/plugins/gnucash/gnucash.h
 )
 
-ADD_CUSTOM_COMMAND ( TARGET gnucash
-	POST_BUILD
-	COMMAND xcopy /D /Y $(TargetDir)gnucash.dll target\\$(PlatformName)\\$(OutDir)\\plugins
-)
-
-ADD_LIBRARY ( openssl
-	MODULE
-	../src/plugins/openssl/openssl.c
-	../src/plugins/openssl/openssl.h
-)
-
-ADD_CUSTOM_COMMAND ( TARGET openssl
-	POST_BUILD
-	COMMAND xcopy /D /Y $(TargetDir)openssl.dll target\\$(PlatformName)\\$(ConfigurationName)\\plugins
-)
-
-
-ADD_DEPENDENCIES (ofx grisbi)
-ADD_DEPENDENCIES (gnucash grisbi)
-ADD_DEPENDENCIES (openssl grisbi)
-
-ADD_CUSTOM_TARGET (prepare_env)
-
-ADD_CUSTOM_COMMAND(TARGET prepare_env
-	POST_BUILD
-	COMMAND IF NOT EXIST target\\$(PlatformName)\\$(ConfigurationName) mkdir target\\$(PlatformName)\\$(ConfigurationName)
-)
-	
-
-# ADD_CUSTOM_COMMAND(TARGET prepare_env
-	# POST_BUILD
-	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Debug
-	# COMMAND xcopy /Y /C /D target\\gtk-dev\\bin\\*.dll target\\Release
-# )
-
-# ADD_CUSTOM_COMMAND(TARGET prepare_env
-	# POST_BUILD
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Debug\\etc\\
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\etc target\\Release\\etc\\
-# )
-
-# ADD_CUSTOM_COMMAND(TARGET prepare_env
-	# POST_BUILD
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Debug\\lib\\gtk-2.0\\2.10.0\\
-	# COMMAND xcopy /S /Y /D target\\gtk-dev\\lib\\gtk-2.0\\2.10.0 target\\Release\\lib\\gtk-2.0\\2.10.0\\
-# )
-
-ADD_CUSTOM_COMMAND(TARGET prepare_env
-	POST_BUILD
-	COMMAND xcopy /S /Y /D ..\\pixmaps\\*.png target\\$(PlatformName)\\$(ConfigurationName)\\pixmaps\\

=== debian/changelog ===
grisbi (0.8.9-1ubuntu1) trusty; urgency=medium

  * Manually patch libtool file to add support for ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 30 Mar 2014 01:07:30 -0400

grisbi (0.8.9-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 31 Dec 2011 09:29:47 +0100

=== debian/control ===
Source: grisbi
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends:
 debhelper (>= 8),
 libgtk2.0-dev,
 libxml2-dev,
 libofx-dev,
 libssl-dev,
 autotools-dev,
 intltool,
 chrpath
Standards-Version: 3.9.2
Homepage: http://www.grisbi.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/grisbi.git
Vcs-Git: git://git.debian.org/git/collab-maint/grisbi.git

Package: grisbi
Architecture: any
Depends:
 grisbi-common (= ${source:Version}),
 xdg-utils,
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: texlive, www-browser
Description: personal finance management program
 Grisbi is a personal accounting program. Grisbi can handle multiple
 accounts, currencies and users. It helps you manage your money using
 third party, expenditure and receipt categories, as well as budgetary
 lines, financial years, and other information that makes it adapted
 for both personal and associative accounting.
 .
 Grisbi can import accounts from QIF, OFX and Gnucash files. It can
 print reports using LaTeX or export them via HTML.

Package: grisbi-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: grisbi (<< 0.5.9-5)
Replaces: grisbi (<< 0.5.9-5)
Description: shared files for the finance management program Grisbi
 Grisbi is a personal accounting program. Grisbi can handle multiple
 accounts, currencies and users. It helps you manage your money using
 third party, expenditure and receipt categories, as well as budgetary
 lines, financial years, and other information that makes it adapted
 for both personal and associative accounting.
 .
 This package contains architecture-independent files (icons,
 documentation and translations).

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 .PHONY: override_dh_auto_configure
 override_dh_auto_configure: config-stamp
-	dh_auto_configure -- --disable-rpath
+	dh_auto_configure
 
 config-stamp:
 # Use most up-to-date config.{sub,guess}
@@ -42,3 +42,7 @@
 .PHONY: override_dh_installchangelogs
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+
+.PHONY: override_dh_install
+override_dh_install:
+	dh_install --fail-missing -X.la

## grisbi 1.0.0

=== debian/changelog ===
grisbi (1.0.0-2ubuntu3) utopic; urgency=medium

  * No-change rebuild against new libofx.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 30 May 2014 01:15:07 -0400

grisbi (1.0.0-2ubuntu2) utopic; urgency=medium

  * 0099-reorder-autoconf.patch: Run AM_INIT_AUTOMAKE earlier to
    work around buggy behaviour in certain versions of autotools

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 03 May 2014 15:53:55 -0600

grisbi (1.0.0-2ubuntu1) utopic; urgency=medium

  * Replace manual config.{sub,guess} updating with dh-autoreconf.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 03 May 2014 15:28:42 -0600

grisbi (1.0.0-2) unstable; urgency=medium

  * Add libgoffice-0.8-dev to Build-Depends (Closes: #744247)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 20 Apr 2014 09:20:24 +0200

grisbi (1.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #743689)
  * debian/patches:
    + Fix variable of type PangoAlignment expected instead of gfloat
      (Closes: #688453)
  * Convert debian/copyright to format 1.0
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.5
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2014 00:52:21 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,20 @@
 XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends:
- debhelper (>= 8),
+ debhelper (>= 9),
+ dh-autoreconf,
  libgtk2.0-dev,
  libxml2-dev,
  libofx-dev,
  libssl-dev,
  autotools-dev,
  intltool,
+ libgoffice-0.8-dev,
  chrpath
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://www.grisbi.org/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/grisbi.git
-Vcs-Git: git://git.debian.org/git/collab-maint/grisbi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/grisbi.git
 
 Package: grisbi
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr sysconfdir=$(CURDIR)/debian/tmp/etc

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs NEWS

.PHONY: override_dh_install
override_dh_install:
	dh_install --fail-missing -X.la

=== debian/watch ===
version=3
http://sf.net/grisbi/grisbi-(\d+\.\d*[02468](?:\.\d+)*)\.tar\.(?:gz|bz2)

## grisbi 1.0.1

=== debian/changelog ===
grisbi (1.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #842384)
  * Add Ludovic Rousseau in Uploaders:
  * Refresh debian/patches/0001-Tune-grisbi.desktop.patch
  * Fix lintian vcs-field-uses-insecure-uri vcs-browser
  * Fix lintian vcs-field-uses-insecure-uri vcs-git
  * Fix "Remove Suggests: dependency on texlive" (Closes: #749139)
  * Fix "Change Grisbi icon to have a better resolution (as in Gshell)"
    use the .png version instead of .xpm (Closes: #754815)

 -- Ludovic Rousseau <rousseau@debian.org>  Tue, 22 Nov 2016 17:06:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: grisbi
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
-Uploaders: Roberto C. Sanchez <roberto@connexer.com>
+Maintainer: Stéphane Glondu <glondu@debian.org>
+Uploaders: Roberto C. Sanchez <roberto@connexer.com>,
+ Ludovic Rousseau <rousseau@debian.org>
 Build-Depends:
  debhelper (>= 9),
- dh-autoreconf,
  libgtk2.0-dev,
  libxml2-dev,
  libofx-dev,
@@ -17,8 +16,8 @@
  chrpath
 Standards-Version: 3.9.5
 Homepage: http://www.grisbi.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/grisbi.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/grisbi.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/grisbi.git
 
 Package: grisbi
 Architecture: any
@@ -27,7 +26,7 @@
  xdg-utils,
  ${shlibs:Depends},
  ${misc:Depends}
-Suggests: texlive, www-browser
+Suggests: www-browser
 Description: personal finance management program
  Grisbi is a personal accounting program. Grisbi can handle multiple
  accounts, currencies and users. It helps you manage your money using

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,35 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+SHARED_CONFIG := /usr/share/misc/config
+
 %:
-	dh $@ --with autoreconf
+	dh $@
+
+.PHONY: override_dh_auto_configure
+override_dh_auto_configure: config-stamp
+	dh_auto_configure
+
+config-stamp:
+# Use most up-to-date config.{sub,guess}
+	for u in sub guess; do \
+	  if [ -f $(SHARED_CONFIG).$$u ]; then \
+	    mv config.$$u debian && \
+	    cp $(SHARED_CONFIG).$$u .; \
+	  fi; \
+	done
+	touch $@
+
+.PHONY: override_dh_auto_clean
+override_dh_auto_clean:
+# Restore upstream config.{sub,guess}
+	for u in sub guess; do \
+	  if [ -f debian/config.$$u ]; then \
+	    mv debian/config.$$u .; \
+	  fi; \
+	done
+	rm -f config-stamp
+	dh_auto_clean
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
